Issue101

classification
Title Where should PSGML find standard DTDs?
Type defect Module psgml-dtds
Severity inconvenience Platform N/A
Keywords Nosy List
explanation
process
These controls should only be changed by committers and tracker administrators.
Status closed   Reason superseded
Superseder Where should PSGML find standard DTDs?
View: 222
  Submitted 2008-01-11.21:37:09
Priority normal   Assigned To

Created on 2008-01-19.04:58:06 by stephen, last changed 2008-01-23.10:42:23 by stephen.

Messages
msg127 [hidden] ([hidden]) Date: 2008-01-19.04:58:06
  Message-ID: <87d4s8gi2i.fsf@uwakimon.sk.tsukuba.ac.jp>
Pete Forman writes:

 > On upgrading from 21.5.17 to 21.5.28 I found that psgml-dtds has been
 > deprecated.

What do you mean by that?  The XEmacs core distribution neither knows
nor cares about how you edit SGML nor where you get your DTDs, and if
the core upgrade changed that, it's a bug.  Did you reinstall the
packages?

 > My own XML documents where I manage the DTDs are okay.
 > Standard DTDs such as HTML 4.01 and XHTML 1.0 are no longer available.
 > 
 > What is the recommended config now?  Should I force the psgml-dtds
 > package to install, or manage all the DTDs in my own area?

The recommended config is to manage the DTDs in a standard place,
because our package is very old, incomplete (no DocBook 4 at all!) and
possibly buggy.  It would be bad if it shadowed a modern competently
maintained library of DTDs.  "Somebody" should write a package to
interface with the various cataloging utilities to find DTDs.

That said, AFAIK that library has not been written yet, and there's no
harm in requesting installation of psgml-dtds (you don't need to
"force" it, we just want you to request it explicitly).

_______________________________________________
XEmacs-Beta mailing list
XEmacs-Beta@xemacs.org
http://calypso.tux.org/cgi-bin/mailman/listinfo/xemacs-beta
History
Date User Action Args
2008-01-23 10:42:23stephensetstatus: new -> closed
priority: normal
reason: superseded
severity: inconvenience
platform: + N/A
type: defect
superseder: + Where should PSGML find standard DTDs?
module: + psgml-dtds
2008-01-19 04:58:06stephencreate